
def generate_random_table(arg1, arg2):
    from rich.console import Console
    from rich.table import Table
    console = Console()

    table = Table(show_header=True, header_style="bold magenta")
    table.add_column("Name", justify="left")
    table.add_column("Age", justify="right")
    table.add_column("Occupation", justify="left")

    for i in range(5):
        table.add_row(f"Person {i+1}", str(arg1 + i), f"Occupation {arg2 + i}")

    console.print(table)



